ServerEvents.recipes(event => {
//Umbrella
  event.shaped(
    Item.of('artifacts:umbrella', 1),
    [
      'ABA',
      ' C ',
      ' C '
    ],
    {
      A: 'minecraft:red_wool',
      B: 'minecraft:white_wool',
      C: 'minecraft:stick'
    }
  ),

//Plastic Drinking Hat
  event.shaped(
    Item.of('artifacts:plastic_drinking_hat', 1),
    [
      'AAA',
      'A A',
      '   '
    ],
    {
      A: 'tfmg:plastic_sheet'
    }
  ),

//Snorkel
  event.shaped(
    Item.of('artifacts:snorkel', 1),
    [
      'AAA',
      'ABA',
      '   '
    ],
    {
      A: 'tfmg:plastic_sheet',
      B: 'minecraft:glass_pane'
    }
  ),

//Night Vision Goggles
  event.shaped(
    Item.of('artifacts:night_vision_goggles', 1),
    [
      'AAA',
      'ABA',
      '   '
    ],
    {
      A: 'tfmg:plastic_sheet',
      B: 'exposure:camera'
    }
  ),

//Villager Hat
  event.shaped(
    Item.of('artifacts:villager_hat', 1),
    [
      'ABA',
      'ACA',
      '   '
    ],
    {
      A: 'minecraft:wheat',
      B: 'minecraft:emerald',
      C: 'farmersdelight:rope'
    }
  ),

//Superstitious Hat
  event.shaped(
    Item.of('artifacts:superstitious_hat', 1),
    [
      'AAA',
      'ABA',
      '   '
    ],
    {
      A: 'minecraft:emerald_block',
      B: 'minecraft:gold_ingot'
    }
  ),

//Cowboy Hat
  event.shaped(
    Item.of('artifacts:cowboy_hat', 1),
    [
      'AAA',
      'ABA',
      '   '
    ],
    {
      A: 'minecraft:leather',
      B: 'farmersdelight:rope'
    }
  ),

//Angler's Hat
  event.shaped(
    Item.of('artifacts:anglers_hat', 1),
    [
      'AAB',
      'A A',
      '   '
    ],
    {
      A: 'vc_gliders:reinforced_paper',
      B: 'dustydecorations:fishing_lures'
    }
  ),

//Lucky Scarft
  event.shaped(
    Item.of('artifacts:lucky_scarf', 1),
    [
      'A  ',
      'BBB',
      '  A'
    ],
    {
      A: 'minecraft:rabbit_foot',
      B: 'minecraft:lime_wool'
    }
  ),

//Invisibility Scarf
  event.shaped(
    Item.of('artifacts:scarf_of_invisibility', 1),
    [
      'A  ',
      'BBB',
      '  A'
    ],
    {
      A: 'irons_spellbooks:invisibility_elixir',
      B: 'minecraft:blue_wool'
    }
  ),

//Panic Necklace
  event.shaped(
    Item.of('artifacts:panic_necklace', 1),
    [
      'AAA',
      'A A',
      ' B '
    ],
    {
      A: 'minecraft:string',
      B: 'irons_spellbooks:evasion_elixir'
    }
  ),

//Shock Pendant
  event.shaped(
    Item.of('artifacts:shock_pendant', 1),
    [
      'AAA',
      'A A',
      ' B '
    ],
    {
      A: 'minecraft:string',
      B: 'irons_spellbooks:lightning_bottle'
    }
  ),

//Flame Pendant
  event.shaped(
    Item.of('artifacts:flame_pendant', 1),
    [
      'AAA',
      'A A',
      ' B '
    ],
    {
      A: 'minecraft:string',
      B: 'minecraft:fire_charge'
    }
  ),

//Thorn Pendant
  event.shaped(
    Item.of('artifacts:thorn_pendant', 1),
    [
      'AAA',
      'A A',
      ' B '
    ],
    {
      A: 'minecraft:string',
      B: 'minecraft:pointed_dripstone'
    }
  ),

//Charm of Sinking
  event.shaped(
    Item.of('artifacts:charm_of_sinking', 1),
    [
      'AAA',
      'A A',
      ' B '
    ],
    {
      A: 'farmersdelight:rope',
      B: '#forge:ingots/lead'
    }
  ),

//Cloud in a Bottle
  event.shaped(
    Item.of('artifacts:cloud_in_a_bottle', 1),
    [
      ' A ',
      ' B ',
      '   '
    ],
    {
      A: 'bountifulblocks:carved_snow',
      B: 'minecraft:glass_bottle'
    }
  ),

//Obsidian Skull
  event.shaped(
    Item.of('artifacts:obsidian_skull', 1),
    [
      'AAA',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:obsidian',
      B: 'minecraft:skeleton_skull'
    }
  ),

//Antidote Vessel
  event.shaped(
    Item.of('artifacts:antidote_vessel', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:milk_bucket',
      B: 'minecraft:netherite_ingot'
    }
  ),

//Universal Attractor
  event.shaped(
    Item.of('artifacts:universal_attractor', 1),
    [
      'B B',
      'A A',
      'AAA'
    ],
    {
      A: '#forge:ingots/steel',
      B: 'tfmg:magnetic_ingot'
    }
  ),

//Helium Flamingo
  event.shaped(
    Item.of('artifacts:helium_flamingo', 1),
    [
      'A  ',
      'AAA',
      'CBC'
    ],
    {
      A: 'tfmg:plastic_sheet',
      B: 'minecraft:netherite_ingot',
      C: 'minecraft:pink_dye'
    }
  ),

//Chorus Totem
  event.shaped(
    Item.of('artifacts:chorus_totem', 2),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:popped_chorus_fruit',
      B: 'minecraft:totem_of_undying'
    }
  ),

//Digging Claws
  event.shaped(
    Item.of('artifacts:digging_claws', 1),
    [
      'AAA',
      'B B',
      'BBB'
    ],
    {
      A: 'minecraft:diamond_pickaxe',
      B: 'farmersdelight:rope'
    }
  ),

//Fire Gauntlet
  event.shaped(
    Item.of('artifacts:fire_gauntlet', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:lava_bucket',
      B: '#forge:storage_blocks/steel',
      C: 'spartanweaponry:cestus'
    }
  ),

//Pocket Piston
  event.shaped(
    Item.of('artifacts:pocket_piston', 1),
    [
      '   ',
      'BAB',
      '   '
    ],
    {
      A: 'spartanweaponry:cestus',
      B: 'minecraft:piston'
    }
  ),

//Vampiric Glove
  event.shaped(
    Item.of('artifacts:vampiric_glove', 1),
    [
      '   ',
      'ABA',
      '   '
    ],
    {
      A: 'irons_spellbooks:blood_vial',
      B: 'spartanweaponry:cestus'
    }
  ),

//Golden Hook
  event.shaped(
    Item.of('artifacts:golden_hook', 1),
    [
      ' AA',
      ' AA',
      ' B '
    ],
    {
      A: 'minecraft:gold_nugget',
      B: 'minecraft:polished_blackstone_button'
    }
  ),

//Onion Ring
  event.smelting('artifacts:onion_ring', 'farmersdelight:onion'),

//Pickaxe Heater
  event.shaped(
    Item.of('artifacts:pickaxe_heater', 1),
    [
      'AAA',
      'BCB',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:magma_block',
      C: 'spartanweaponry:cestus'
    }
  ),

//Aqua Dashers
  event.shaped(
    Item.of('artifacts:aqua_dashers', 1),
    [
      'A A',
      'A A',
      'ABA'
    ],
    {
      A: 'minecraft:tropical_fish',
      B: 'minecraft:leather_boots'
    }
  ),

//Bunny Hoppers
  event.shaped(
    Item.of('artifacts:bunny_hoppers', 1),
    [
      '   ',
      'A A',
      'A A'
    ],
    {
      A: 'minecraft:rabbit_foot'
    }
  ),

//Kitty Slippers
  event.shaped(
    Item.of('artifacts:kitty_slippers', 1),
    [
      '   ',
      ' A ',
      ' B '
    ],
    {
      A: 'minecraft:music_disc_cat',
      B: 'minecraft:leather_boots'
    }
  ),

//Running Shoes
  event.shaped(
    Item.of('artifacts:running_shoes', 1),
    [
      'A A',
      'CBC',
      'CDC'
    ],
    {
      A: 'minecraft:string',
      B: 'minecraft:red_dye',
      C: 'minecraft:leather',
      D: 'minecraft:netherite_boots'
    }
  ),

//Snowshoes
  event.shaped(
    Item.of('artifacts:snowshoes', 1),
    [
      ' A ',
      'BAB',
      ' A '
    ],
    {
      A: 'minecraft:bamboo_trapdoor',
      B: 'farmersdelight:rope'
    }
  ),

//Steadfast Spikes
  event.shaped(
    Item.of('artifacts:steadfast_spikes', 1),
    [
      '   ',
      ' A ',
      'BCB'
    ],
    {
      A: 'minecraft:leather_boots',
      B: 'minecraft:pointed_dripstone',
      C: 'minecraft:netherite_ingot'
    }
  ),

//Flippers
  event.shaped(
    Item.of('artifacts:flippers', 1),
    [
      '   ',
      'BAB',
      'B B'
    ],
    {
      A: 'minecraft:leather_boots',
      B: 'minecraft:leather'
    }
  ),

//Whoopee Cushion
  event.shaped(
    Item.of('artifacts:whoopee_cushion', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:leather',
      B: 'minecraft:glass_bottle'
    }
  )
})
